> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyflow.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File

> Use this API to upload a file to Keyflow



## OpenAPI

````yaml POST /public/upload
openapi: 3.0.1
info:
  title: Keyflow API
  description: An example API that demonstrates the usage of API keys and accepting inputs
  version: 1.0.0
servers:
  - url: https://keyflow-backend-62hevvkvea-uc.a.run.app/api
security: []
paths:
  /public/upload:
    post:
      summary: Use this API to upload a file to Keyflow
      description: Use this API to upload a file to Keyflow
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Upload'
      responses:
        '201':
          description: Successful operation
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad request
      security:
        - apiKey: []
components:
  schemas:
    Upload:
      type: object
      required:
        - flow_id
        - run_id
        - files
      additionalProperties: false
      properties:
        flow_id:
          type: string
          description: The ID of the flow within which the file is to be uploaded.
        run_id:
          type: string
          description: The ID of the run within which the file is to be uploaded.
        files:
          type: array
          description: The files to be uploaded.
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The API key for the workflow. It can be found in the Trigger section on
        Builder Page.

````